OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000362OMNeT++documentationpublic2011-06-21 14:102017-02-01 15:57
Reporterzbojthe 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.2b2 
Target VersionFixed in Version5.1pre3 
Summary0000362: cSimpleModule::send()/sendDelayed()/sendDiredct() return value not documented.
DescriptionThe Return value of these functions not defined in csimplemodule.h file.

(Or I didn't see it.)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000590)
andras (administrator)
2011-11-10 16:26

Currently always 0 is returned, functions could be changed to 'void'.

Or, they could return a bool, indicating whether the message went through or was deleted by a channel in the path.
(0001297)
andras (administrator)
2017-02-01 15:57

Return type changed to 'void'. Errors are indicated via exceptions.

- Issue History
Date Modified Username Field Change
2011-06-21 14:10 zbojthe New Issue
2011-11-10 16:26 andras Note Added: 0000590
2017-02-01 15:57 andras Note Added: 0001297
2017-02-01 15:57 andras Status new => resolved
2017-02-01 15:57 andras Fixed in Version => 5.1pre3
2017-02-01 15:57 andras Resolution open => fixed
2017-02-01 15:57 andras Assigned To => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker